# Created by pyp2rpm-3.3.3
%global pypi_name sqlcipher3

Name:           python-%{pypi_name}
Version:        0.4.5
Release:        %mkrel 2
Summary:        DB-API 2.0 interface for SQLCipher 3.x
Group:          Development/Python
License:        zlib/libpng
URL:            https://github.com/coleifer/sqlcipher3
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(sqlcipher)

%description
This library takes pysqlite3 and makes some small modifications so it is
suitable for use with sqlcipher (sqlite with encryption).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library takes pysqlite3 and makes some small modifications so it is
suitable for use with sqlcipher (sqlite with encryption).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.4.5-2.mga9
+ Revision: 1799246
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4.5-1.mga9
+ Revision: 1782370
- version 0.4.5
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.4.0-3.mga9
+ Revision: 1717046
- rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1538952
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.4.0-1.mga8
+ Revision: 1463398
- imported package python-sqlcipher3

